package com.extensibility.xml.sax;

import org.xml.sax.AttributeList;
import org.xml.sax.HandlerBase;
import org.xml.sax.SAXException;

public abstract class BufferedHandlerBase extends HandlerBase {
   protected int depth = 0;
   protected boolean isSavingXML = false;
   protected StringBuffer savedXML = new StringBuffer("");

   public BufferedHandlerBase() {
      this.savedXML = new StringBuffer("");
   }

   public void startElement(String var1, AttributeList var2) {
      ++this.depth;
      if (this.isSavingXML) {
         this.savedXML.append(String.valueOf("<").concat(String.valueOf(var1)));

         for(int var3 = 0; var3 < var2.getLength(); ++var3) {
            this.savedXML.append(String.valueOf(String.valueOf(" ").concat(String.valueOf(var2.getName(var3)))).concat(String.valueOf("='")));
            this.savedXML.append(var2.getValue(var3));
            this.savedXML.append("'");
         }

         this.savedXML.append(">");
      }
   }

   public void endElement(String var1) {
      --this.depth;
      if (this.isSavingXML) {
         this.savedXML.append(String.valueOf(String.valueOf("</").concat(String.valueOf(var1))).concat(String.valueOf(">")));
      }
   }

   public void characters(char[] var1, int var2, int var3) throws SAXException {
      if (this.isSavingXML) {
         this.savedXML.append(String.valueOf(var1, var2, var3));
      }
   }

   protected void setSaveXML(boolean var1) {
      this.isSavingXML = var1;
   }

   protected void clearSavedXML() {
      this.savedXML = new StringBuffer("");
   }

   protected int getDepth() {
      return this.depth;
   }

   protected boolean isSavingXML() {
      return this.isSavingXML;
   }

   public String getSavedXML() {
      return this.savedXML.toString();
   }
}
